[infra] Call create_updated_flutter deps from patches/flutter-engine/apply.sh

Change-Id: I2396539662212f15f8115ec8c5df522d35520d7d
Reviewed-on: https://dart-review.googlesource.com/c/sdk/+/158902
Commit-Queue: Karl Klose <karlklose@google.com>
Reviewed-by: Alexander Thomas <athom@google.com>
diff --git a/tools/patches/flutter-engine/apply.sh b/tools/patches/flutter-engine/apply.sh
index e8b7ae2..91918a1 100755
--- a/tools/patches/flutter-engine/apply.sh
+++ b/tools/patches/flutter-engine/apply.sh
@@ -15,6 +15,9 @@
 # then it stops applying patches atomically as there isn't a patch available yet
 # for the new roll.
 #
+# Additionally, this script updates the flutter engine DEPS file with the
+# Dart SDK dependencies.
+#
 # Usage: src/third_party/dart/tools/patches/flutter-engine/apply.sh
 # (run inside the root of a flutter engine checkout)
 
@@ -39,6 +42,12 @@
   need_runhooks=true
 fi
 
+# Update the flutter DEPS with the revisions in the Dart SDK DEPS.
+src/tools/dart/create_updated_flutter_deps.py
+if ! (cd src/flutter && git diff --exit-code DEPS); then
+  need_runhooks=true
+fi
+
 if [ $need_runhooks = true ]; then
   # Check if .gclient configuration specifies a cache_dir. Local caches are used
   # by bots to reduce amount of Git traffic. .gclient configuration file